"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var vue_1 = tslib_1.__importDefault(require("vue"));
var createReduxStore_1 = require("../core/utils/createReduxStore");
var changed = [];
exports.reducerChanged = function (reducerName, value) {
    changed.push([reducerName, value]);
};
exports.createReduxStore = function (config) {
    var store = createReduxStore_1.createReduxStore(config);
    var vm = new vue_1.default({
        data: {
            state: store.getState(),
        },
    });
    store.subscribe(function () {
        var nextState = store.getState();
        if (changed.length) {
            changed.forEach(function (item) {
                vm.state[item[0]] = item[1];
            });
        }
        if (nextState !== vm.state) {
            vm.state = nextState;
        }
    });
    return store;
};
